> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Total Supply of Ether

> Retrieves the current circulating supply of Ether, excluding ETH2 staking rewards and EIP-1559 burned fees.

export const chain = '1';

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": "122373866217800000000000000"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/ethsupply.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Total Supply of Ether
  version: 2.0.0
  description: >-
    Retrieves the current circulating supply of Ether, excluding ETH2 staking
    rewards and EIP-1559 burned fees.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Total Supply of Ether
      description: >-
        Retrieves the current circulating supply of Ether, excluding ETH2
        staking rewards and EIP-1559 burned fees.
      operationId: getEthsupply
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to stats for this endpoint.
          schema:
            type: string
            default: stats
          example: stats
        - name: action
          in: query
          required: true
          description: Set to ethsupply for this endpoint.
          schema:
            type: string
            default: ethsupply
          example: ethsupply
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: string
                    description: >-
                      Total supply of ether from block rewards, in wei. Use the
                      [unit converter](https://etherscan.io/unitconverter) to
                      convert between units.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````